--
-- activity members DAO.find by activity id and user id.
--
SELECT 
    M.*
   ,U.LAST_NAME
   ,U.FIRST_NAME
FROM
    activity_members M
    INNER JOIN USERS U ON M.USER_ID = U.ID
WHERE 
    M.ACTIVITY_ID = /*activityId*/1
AND M.USER_ID     = /*userId*/1
AND M.DEL_FLAG = '0'