--
-- get due list by user id.
--
SELECT
    A.dead_line
   ,A.records AS total_records
   ,D.records AS done_records
FROM
    (
    SELECT
        COUNT(*) AS records 
       ,T.dead_line
    FROM
        task_relations R
        INNER JOIN tasks T ON R.TASK_ID = T.ID
    WHERE
        R.person_id = /*user_id*/1
    AND T.dead_line <> '99999999'
    AND R.classification_id <> 99
    AND T.del_flag  = '0'
    GROUP BY
        T.dead_line
    ) A
    LEFT JOIN (
        SELECT
            COUNT(*) AS records 
           ,T.dead_line
        FROM
            task_relations R
            INNER JOIN tasks T ON R.TASK_ID = T.ID
        WHERE
            R.person_id = /*user_id*/1
        AND T.dead_line <> '99999999'
        AND R.status_id = 3
        AND R.classification_id <> 99
        AND T.del_flag  = '0'
        GROUP BY
            T.dead_line
    ) D ON A.dead_line = D.dead_line
WHERE
    A.records <> D.records
 OR D.records IS NULL
ORDER BY
    A.dead_line