package org.seasar.tugboat.gtd.contents.meeting.dao;

import org.seasar.dao.unit.S2DaoTestCase;
import org.seasar.tugboat.gtd.contents.meeting.entity.MeetingRelation;

/**
 * test meeting relations dao.
 * 
 * @author yosuke
 * 
 */
public class TestMeetingRelationsDao extends S2DaoTestCase {
    MeetingRelationsDao meetingRelationsDao_;
    
    /*
     * (non-Javadoc)
     * 
     * @see junit.framework.TestCase#setUp()
     */
    public void setUp() {
        this.include("dicon/contents/meeting/meetingDao.dicon");
    }
    
    /**
     * test #insert.
     *
     */
    public void testInsertTx() {
        super.readXlsWriteDb("meeting_basics.xls");

        MeetingRelation relations = new MeetingRelation();
        relations.setBasicId(9990);
        relations.setAgendaId(9990);
        int result = this.meetingRelationsDao_.insert(relations);
        super.assertEquals(1, result);
    }
    
    /**
     * test #update.
     *
     */
    public void testFindByAgendaIdTx() {
        super.readXlsWriteDb("meeting_basics.xls");
        
        MeetingRelation entity = 
            this.meetingRelationsDao_.findByAgendaId(9990);
        
        super.assertEquals(9990, entity.getBasicId());
        super.assertEquals(9990, entity.getAgendaId());
    }
}
