--- 
--- Insert Data
--- 
INSERT INTO activity_colors VALUES 
  (1,'ff0000','Red'),
  (2,'ff8000','Orange'),
  (3,'ffff00','Yellow'),
  (4,'80ff00','Lime'),
  (5,'00ff00','Green'),
  (6,'00ffff','Aqua'),
  (7,'0080ff','Sky'),
  (8,'0000ff','Blue'),
  (9,'8000ff','Purple'),
  (10,'ff00ff','Pink'),
  (11,'660000','Dark red'),
  (12,'663300','Dark orange'),
  (13,'666600','Dark yellow'),
  (14,'336600','Dark lime'),
  (15,'006600','Dark green'),
  (16,'006666','Dark aqua'),
  (17,'000066','Dark blue'),
  (18,'660066','Dark pink');

INSERT INTO alerts VALUES 
  (0,'None','なし'),
  (1,'0 second before','0秒前'),
  (2,'5 minutes before','5分前'),
  (3,'10 minutes before','10分前'),
  (4,'15 minutes before','15分前'),
  (5,'30 minutes before','30分前'),
  (6,'45 minutes before','45分前'),
  (7,'1 hour before','1時間前'),
  (8,'2 hours before','2時間前'),
  (9,'3 hours before','3時間前'),
  (10,'6 hours before','6時間前'),
  (11,'12 hours before','12時間前'),
  (12,'1 day before','1日前'),
  (13,'2 days before','2日前'),
  (14,'3 days before','3日前'),
  (15,'1 week before','1週間前'),
  (16,'2 weeks before','2週間前'),
  (17,'3 weeks before','3週間前'),
  (18,'1 month before','1ヶ月前');  

INSERT INTO classifications VALUES 
  (1,'T','Today'),
  (2,'T','Week'),
  (3,'T','Month'),
  (4,'T','Hold'),
  (5,'T','Someday'),
  (9,'T','Inbox'),
  (21,'T','Archive'),
  (99,'T','Trash box');

INSERT INTO roles VALUES 
  (1,'1','ADMIN','Administrator'),
  (2,'1','USER','Standard User'),
  (3,'1','GUEST','Guest'),
  (11,'2','ADMIN','Administrator'),
  (12,'2','USER','Standard User'),
  (13,'2','GUEST','Guest'); 

INSERT INTO task_statuses VALUES 
  (1,'To Do','新規'),
  (2,'Doing','処理中'),
  (3,'Done','処理済'),
  (4,'Pending','保留');   

INSERT INTO timezones VALUES 
  (1,'NZDT',780,'n/a','n/a','New Zealand Daylight Time','ニュージーランド夏時間'),
  (2,'IDLE',720,'n/a','n/a','International Date Line East','日付変更線、東側'),
  (3,'NZST',720,'n/a','n/a','New Zealand Std Time','ニュージーランド標準時間'),
  (4,'NZT',720,'n/a','n/a','New Zealand Time','ニュージーランド時間'),
  (5,'AESST',660,'n/a','n/a','Australia Eastern Summer Std Time','オーストラリア標準夏時間'),
  (6,'ACSST',630,'n/a','n/a','Central Australia Summer Std Time','オーストラリア中部標準夏時間'),
  (7,'CADT',630,'n/a','n/a','Central Australia Daylight Savings Time','オーストラリア中部夏時間'),
  (8,'SADT',630,'n/a','n/a','South Australian Daylight Time','オーストラリア南部夏時間'),
  (9,'AEST',600,'n/a','n/a','Australia Eastern Std Time','オーストラリア東部標準時間'),
  (10,'EAST',600,'n/a','n/a','East Australian Std Time','オーストラリア東部標準時間'),
  (11,'GST',600,'n/a','n/a','Guam Std Time/USSR Zone 9','グアム標準時間、ソビエトタイムゾーン9');
INSERT INTO timezones VALUES 
  (12,'LIGT',600,'n/a','n/a','Melbourne Australia','オーストラリア、メルボルン時間'),
  (13,'ACST',570,'n/a','n/a','Central Australia Std Time','オーストラリア中部標準時間'),
  (14,'SAST',570,'n/a','n/a','South Australia Std Time','オーストラリア南部標準時間'),
  (15,'CAST',570,'n/a','n/a','Central Australia Std Time','オーストラリア中部標準時間'),
  (16,'AWSST',540,'n/a','n/a','Australia Western Summer Std Time','オーストラリア西部標準時間'),
  (17,'JST',540,'n/a','n/a','Japan Std Time/USSR Zone 8','日本標準時間、ソビエトタイムゾーン8'),
  (18,'KST',540,'n/a','n/a','Korea Standard Time ','韓国標準時間'),
  (19,'WDT',540,'n/a','n/a','West Australian Daylight Time ','オーストラリア西部夏時間'),
  (20,'MT',510,'n/a','n/a','Moluccas Time','モルッカ諸島時間'),
  (21,'AWST',480,'n/a','n/a','Australia Western Std Time','オーストラリア西部標準時間'),
  (22,'CCT',480,'n/a','n/a','China Coastal Time','中国湾岸時間');
INSERT INTO timezones VALUES 
  (23,'WADT',480,'n/a','n/a','West Australian Daylight Time','西部オーストラリア夏時間'),
  (24,'WST',480,'n/a','n/a','West Australian Std Time','西部オーストラリア標準時間'),
  (25,'JT',450,'n/a','n/a','Java Time','ジャワ島時間'),
  (26,'WAST',420,'n/a','n/a','West Australian Std Time','西部オーストラリア標準時間'),
  (27,'IT',210,'n/a','n/a','Iran Time','イラン時間'),
  (28,'BT',180,'n/a','n/a','Baghdad Time','バグダッド時間'),
  (29,'EETDST',180,'n/a','n/a','Eastern Europe Daylight Savings Time','東ヨーロッパ夏時間'),
  (30,'CETDST',120,'n/a','n/a','Central European Daylight Savings Time','中央ヨーロッパ夏時間'),
  (31,'EET',120,'n/a','n/a','Eastern Europe/USSR Zone 1','東ヨーロッパ時間、ソビエトタイムゾーン1'),
  (32,'FWT',120,'n/a','n/a','French Winter Time','フランス冬時間'),
  (33,'IST',120,'n/a','n/a','Israel Std Time ','イスラエル標準時間'),
  (34,'MEST',120,'n/a','n/a','Middle Europe Summer Time','中央ヨーロッパ夏時間');
INSERT INTO timezones VALUES 
  (35,'METDST',120,'n/a','n/a','Middle Europe Daylight Time','中央ヨーロッパ夏時間'),
  (36,'SST',120,'n/a','n/a','Swedish Summer Time','スウェーデン夏時間'),
  (37,'BST',60,'n/a','n/a','British Summer Time','イギリス夏時間'),
  (38,'CET',60,'n/a','n/a','Central European Time','中央ヨーロッパ時間'),
  (39,'DNT',60,'n/a','n/a','Dansk Normal Tid','デンマーク標準時間'),
  (40,'FST',60,'n/a','n/a','French Summer Time','フランス夏時間'),
  (41,'MET',60,'n/a','n/a','Middle Europe Time','中央ヨーロッパ時間'),
  (42,'MEWT',60,'n/a','n/a','Middle Europe Winter Time','中央ヨーロッパ冬時間'),
  (43,'MEZ',60,'n/a','n/a','Middle Europe Zone','中央ヨーロッパ時間'),
  (44,'NOR',60,'n/a','n/a','Norway Standard Time','ノルウェー標準時間'),
  (45,'SET',60,'n/a','n/a','Seychelles Time','セイシェル時間'),
  (46,'SWT',60,'n/a','n/a','Swedish Winter Time ','スウェーデン冬時間'),
  (47,'WETDST',60,'n/a','n/a','Western Europe Daylight Savings Time','西ヨーロッパ夏時間');
INSERT INTO timezones VALUES 
  (48,'GMT',0,'n/a','n/a','Greenwich Mean Time','グリニッジ標準時'),
  (49,'WET',0,'n/a','n/a','Western Europe','西ヨーロッパ'),
  (50,'WAT',-60,'n/a','n/a','West Africa Time','西アフリカ時間'),
  (51,'NDT',-150,'n/a','n/a','Newfoundland Daylight Time','ニューファンドランド夏時間'),
  (52,'ADT',-180,'n/a','n/a','Atlantic Daylight Time','大西洋夏時間'),
  (53,'NFT',-210,'n/a','n/a','Newfoundland Standard Time','ニューファンドランド標準時間'),
  (54,'NST',-210,'n/a','n/a','Newfoundland Standard Time','ニューファンドランド標準時間'),
  (55,'AST',-240,'n/a','n/a','Atlantic Std Time (Canada)','大西洋標準時間 (カナダ)'),
  (56,'EDT',-240,'n/a','n/a','Eastern Daylight Time','アメリカ東部夏時間'),
  (57,'CDT',-300,'n/a','n/a','Central Daylight Time','アメリカ中部夏時間'),
  (58,'EST',-300,'n/a','n/a','Eastern Standard Time','アメリカ東部標準時間'),
  (59,'CST',-360,'n/a','n/a','Central Std Time ','アメリカ中部標準時間'),
  (60,'MDT',-360,'n/a','n/a','Mountain Daylight Time','アメリカ中部標準時間');
INSERT INTO timezones VALUES 
  (61,'MST',-420,'n/a','n/a','Mountain Standard Time ','アメリカ山岳部標準時間'),
  (62,'PDT',-420,'n/a','n/a','Pacific Daylight Time','アメリカ太平洋夏時間'),
  (63,'PST',-480,'n/a','n/a','Pacific Std Time','アメリカ太平洋標準時間'),
  (64,'YDT',-480,'n/a','n/a','Yukon Daylight Time','ユーコン夏時間'),
  (65,'HDT',-540,'n/a','n/a','Hawaii/Alaska Daylight Time','ハワイ/アラスカ夏時間'),
  (66,'YST',-540,'n/a','n/a','Yukon Standard Time','ユーコン標準時間'),
  (67,'AHST',-600,'n/a','n/a','Alaska-Hawaii Std Time','アラスカ-ハワイ標準時間'),
  (68,'CAT',-600,'n/a','n/a','Central Alaska Time','アラスカ中央時間'),
  (69,'NT',-660,'n/a','n/a','Nome Time','ノーム時間'),
  (70,'IDLW',-720,'n/a','n/a','International Date Line West','日付変更線、西側');

-- add user.
INSERT INTO users (
    ID
   ,LOGIN_ID
   ,PASSWORD
   ,EMAIL
   ,LAST_NAME
   ,MIDDLE_NAME
   ,FIRST_NAME
   ,PHOTO_IMG_URL
   ,DEL_FLAG
   ,REGISTERED
   ,MODIFIED
   ,MODIFIED_USER_ID
) VALUES (
   1
   ,'admin_user'
   ,'admin_user'
   ,'admin@mail.org'
   ,'User'
   ,' '
   ,'Administrator'
   ,''
   ,'0'
   ,RTRIM(CHAR(year(current_date))) ||
    CASE WHEN month(current_date) >9 then RTRIM(CHAR(month(current_date)))   else RTRIM('0'||CHAR(month(current_date)))  end ||
    CASE WHEN day(current_date)   >9 then RTRIM(CHAR(day(current_date)))     else RTRIM('0'||CHAR(day(current_date)))    end ||
    CASE WHEN hour(current_time)  >9 then RTRIM(CHAR(hour(current_time)))    else RTRIM('0'||CHAR(hour(current_time)))   end ||
    CASE WHEN minute(current_time)>9 then RTRIM(CHAR(minute(current_time)))  else RTRIM('0'||CHAR(minute(current_time))) end ||
    CASE WHEN second(current_time)>9 then RTRIM(CHAR(second(current_time)))  else RTRIM('0'||CHAR(second(current_time))) end 
   ,RTRIM(CHAR(year(current_date))) ||
    CASE WHEN month(current_date) >9 then RTRIM(CHAR(month(current_date)))   else RTRIM('0'||CHAR(month(current_date)))  end ||
    CASE WHEN day(current_date)   >9 then RTRIM(CHAR(day(current_date)))     else RTRIM('0'||CHAR(day(current_date)))    end ||
    CASE WHEN hour(current_time)  >9 then RTRIM(CHAR(hour(current_time)))    else RTRIM('0'||CHAR(hour(current_time)))   end ||
    CASE WHEN minute(current_time)>9 then RTRIM(CHAR(minute(current_time)))  else RTRIM('0'||CHAR(minute(current_time))) end ||
    CASE WHEN second(current_time)>9 then RTRIM(CHAR(second(current_time)))  else RTRIM('0'||CHAR(second(current_time))) end 
   ,1
);
INSERT INTO user_roles (USER_ID, ROLE_ID) VALUES (1,1);

-- add activity.
INSERT INTO activities (
    ID
   ,NAME
   ,DESCRIPTION
   ,START_DATE
   ,END_DATE
   ,DEL_FLAG
   ,REGISTERED
   ,MODIFIED
   ,MODIFIED_USER_ID
) VALUES (
    1
   ,'Test Project'
   ,'Description'
   ,RTRIM(CHAR(year(current_date))) ||
    CASE WHEN month(current_date) >9 then RTRIM(CHAR(month(current_date)))   else RTRIM('0'||CHAR(month(current_date)))  end ||
    CASE WHEN day(current_date)   >9 then RTRIM(CHAR(day(current_date)))     else RTRIM('0'||CHAR(day(current_date)))    end 
   ,'99999999'
   ,'0'
   ,RTRIM(CHAR(year(current_date))) ||
    CASE WHEN month(current_date) >9 then RTRIM(CHAR(month(current_date)))   else RTRIM('0'||CHAR(month(current_date)))  end ||
    CASE WHEN day(current_date)   >9 then RTRIM(CHAR(day(current_date)))     else RTRIM('0'||CHAR(day(current_date)))    end ||
    CASE WHEN hour(current_time)  >9 then RTRIM(CHAR(hour(current_time)))    else RTRIM('0'||CHAR(hour(current_time)))   end ||
    CASE WHEN minute(current_time)>9 then RTRIM(CHAR(minute(current_time)))  else RTRIM('0'||CHAR(minute(current_time))) end ||
    CASE WHEN second(current_time)>9 then RTRIM(CHAR(second(current_time)))  else RTRIM('0'||CHAR(second(current_time))) end 
   ,RTRIM(CHAR(year(current_date))) ||
    CASE WHEN month(current_date) >9 then RTRIM(CHAR(month(current_date)))   else RTRIM('0'||CHAR(month(current_date)))  end ||
    CASE WHEN day(current_date)   >9 then RTRIM(CHAR(day(current_date)))     else RTRIM('0'||CHAR(day(current_date)))    end ||
    CASE WHEN hour(current_time)  >9 then RTRIM(CHAR(hour(current_time)))    else RTRIM('0'||CHAR(hour(current_time)))   end ||
    CASE WHEN minute(current_time)>9 then RTRIM(CHAR(minute(current_time)))  else RTRIM('0'||CHAR(minute(current_time))) end ||
    CASE WHEN second(current_time)>9 then RTRIM(CHAR(second(current_time)))  else RTRIM('0'||CHAR(second(current_time))) end 
   ,1
);

-- add activity member.
insert into activity_members (
    ACTIVITY_ID
   ,USER_ID 
   ,ROLE_ID
   ,START_DATE
   ,REGISTERED
   ,MODIFIED 
   ,MODIFIED_USER_ID
) values (
    1
   ,1
   ,1
   ,RTRIM(CHAR(year(current_date))) ||
    CASE WHEN month(current_date) >9 then RTRIM(CHAR(month(current_date)))   else RTRIM('0'||CHAR(month(current_date)))  end ||
    CASE WHEN day(current_date)   >9 then RTRIM(CHAR(day(current_date)))     else RTRIM('0'||CHAR(day(current_date)))    end 
   ,RTRIM(CHAR(year(current_date))) ||
    CASE WHEN month(current_date) >9 then RTRIM(CHAR(month(current_date)))   else RTRIM('0'||CHAR(month(current_date)))  end ||
    CASE WHEN day(current_date)   >9 then RTRIM(CHAR(day(current_date)))     else RTRIM('0'||CHAR(day(current_date)))    end ||
    CASE WHEN hour(current_time)  >9 then RTRIM(CHAR(hour(current_time)))    else RTRIM('0'||CHAR(hour(current_time)))   end ||
    CASE WHEN minute(current_time)>9 then RTRIM(CHAR(minute(current_time)))  else RTRIM('0'||CHAR(minute(current_time))) end ||
    CASE WHEN second(current_time)>9 then RTRIM(CHAR(second(current_time)))  else RTRIM('0'||CHAR(second(current_time))) end 
   ,RTRIM(CHAR(year(current_date))) ||
    CASE WHEN month(current_date) >9 then RTRIM(CHAR(month(current_date)))   else RTRIM('0'||CHAR(month(current_date)))  end ||
    CASE WHEN day(current_date)   >9 then RTRIM(CHAR(day(current_date)))     else RTRIM('0'||CHAR(day(current_date)))    end ||
    CASE WHEN hour(current_time)  >9 then RTRIM(CHAR(hour(current_time)))    else RTRIM('0'||CHAR(hour(current_time)))   end ||
    CASE WHEN minute(current_time)>9 then RTRIM(CHAR(minute(current_time)))  else RTRIM('0'||CHAR(minute(current_time))) end ||
    CASE WHEN second(current_time)>9 then RTRIM(CHAR(second(current_time)))  else RTRIM('0'||CHAR(second(current_time))) end 
   ,1
);

-- add activity relation.
INSERT INTO activity_relations (
    ACTIVITY_ID
   ,COLOR_ID 
   ,USER_ID
) VALUES (
    1
   ,1
   ,1
);

INSERT INTO classifications VALUES (0, 'T', 'Tasks');

-- tags master. GTD context.
INSERT INTO tags (value) VALUES('@phone');
INSERT INTO tags (value) VALUES('@fax');
INSERT INTO tags (value) VALUES('@web');
INSERT INTO tags (value) VALUES('@home');
INSERT INTO tags (value) VALUES('@office');
INSERT INTO tags (value) VALUES('@starbucks');
INSERT INTO tags (value) VALUES('@blog');
INSERT INTO tags (value) VALUES('@sns');
INSERT INTO tags (value) VALUES('@skype');

--
-- version
--
INSERT INTO versions (
    majour_num
   ,minor_num
   ,maintenance_num
   ,maintenance_sub
   ,registered
) VALUES (
  0,9,3,0,'20080524000000'
);