/*
 * Copyright 2004-2008 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.tugboat.gtd.contents.common.dto;

import java.io.Serializable;

import org.apache.commons.lang.builder.ReflectionToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

/**
 * Select one menu dto
 * 
 * @author yousuke.hara
 * 
 */
public class SelectOneMenuDto implements Serializable {
    private static final long serialVersionUID = 9114814291255493950L;

    public SelectOneMenuDto() {
        super();
    }

    /* selectedIntValue */
    int selectedIntValue_;

    public int getSelectedIntValue() {
        return selectedIntValue_;
    }

    public void setSelectedIntValue(int selectedIntValue) {
        this.selectedIntValue_ = selectedIntValue;
    }

    /* select string value */
    String selectedStringValue_;

    public String getSelectedStringValue() {
        return selectedStringValue_;
    }

    public void setSelectedStringValue(String selectedStringValue) {
        this.selectedStringValue_ = selectedStringValue;
    }

    @Override
    public String toString() {
        return ReflectionToStringBuilder.toString(this, ToStringStyle.MULTI_LINE_STYLE);
    }
}
