package org.seasar.tugboat.gtd.contents.login.dao;

import org.seasar.dao.unit.S2DaoTestCase;
import org.seasar.tugboat.gtd.contents.user.dao.UsersDao;
import org.seasar.tugboat.gtd.contents.user.entity.User;

/**
 * test LoginDao.
 * 
 * @author yosuke
 * 
 */
public class TestLoginDao extends S2DaoTestCase {
    UsersDao usersDao_;

    /*
     * (non-Javadoc)
     * 
     * @see junit.framework.TestCase#setUp()
     */
    public void setUp() {
        super.include("dicon/contents/user/userDao.dicon");
    }

    /**
     * test LoginDao#getLoginUser.
     * 
     */
    public void testGetLoginUserTx() {
        super.readXlsWriteDb("users.xls");

        User user = this.usersDao_.findUserByLoginIdAndPassword("test-100","password");
        super.assertNull("[OK]", user);

        user = this.usersDao_.findUserByLoginIdAndPassword("test-1","password");
        super.assertEquals("[OK]", 9990, user.getUserId());
        super.assertEquals("[OK]", true, "test-1".equals(user.getLoginId()));
        super.assertEquals("[OK]", true, "t1".equals(user.getFirstName()));
        super.assertEquals("[OK]", true, "test1".equals(user.getLastName()));
    }
}
