package org.seasar.tugboat.gtd.contents.meeting.dao;

import org.seasar.dao.unit.S2DaoTestCase;
import org.seasar.tugboat.gtd.contents.meeting.entity.MeetingAgendaBody;

/**
 * test meeting agenada bodies dao.
 * 
 * @author yosuke
 * 
 */
public class TestMeetingAgendaBodiesDao extends S2DaoTestCase {
    MeetingAgendaBodiesDao meetingAgendaBodiesDao_;

    /*
     * (non-Javadoc)
     * 
     * @see junit.framework.TestCase#setUp()
     */
    public void setUp() {
        this.include("dicon/contents/meeting/meetingDao.dicon");
    }

    /**
     * test #insert.
     * 
     */
    public void testInsertTx() {
        super.readXlsWriteDb("meeting_basics.xls");
        
        MeetingAgendaBody agendaBody = new MeetingAgendaBody();
        agendaBody.setAgendaId(9990);
        agendaBody.setRev(1);
        agendaBody.setBody("meeting agenda - insert 1.");
        
        int result = this.meetingAgendaBodiesDao_.insert(agendaBody);
        super.assertEquals(1, result);
    }

    /**
     * test #update.
     * 
     */
    public void testUpdateTx() {
        super.readXlsWriteDb("meeting_basics.xls");
        
        MeetingAgendaBody agendaBody = new MeetingAgendaBody();
        agendaBody.setAgendaId(9990);
        agendaBody.setRev(1);
        agendaBody.setBody("meeting agenda - insert 1.");
        
        int result = this.meetingAgendaBodiesDao_.insert(agendaBody);
        super.assertEquals(1, result);
        
        agendaBody.setBody("meeting agenda - insert 2.");
        result = this.meetingAgendaBodiesDao_.update(agendaBody);
        super.assertEquals(2, result);
    }

}
