/*
 * Copyright 2004-2008 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.tugboat.gtd.contents.task.helper;

import org.seasar.dao.unit.S2DaoTestCase;
import org.seasar.tugboat.gtd.contents.task.dto.TaskGroupRelationDto;
import org.seasar.tugboat.gtd.contents.task.service.TaskGroupService;

/**
 * test task helper.
 * 
 * @author yousuke
 *
 */
public class TestTaskHelper extends S2DaoTestCase {
    TaskGroupService taskGroupService_;
    TaskHelper taskGroupHelper_;
    
    
    @Override
    public void setUp() {
        this.include("dicon/contents/task/task.dicon");
    }
    
    /**
     * test create activities json for task.
     */
    public void testCreateActivitiesJsonForTaskTx() {
        
    }
    
    /**
     * test create tasks json.
     */
    public void testCreateTasksJSONTx() {
        
    }
    
    /**
     * test create default folder tasks josn.
     */
    public void testCreateDefaultFolderTasksJSONTx(){
        
    }
    
    /**
     * test create task detail json.
     */
    public void testCreateTaskDetailJSONTx() {
        
    }
    
    /**
     * test create task comments json.
     */
    public void testCreateTaskCommentsJSONTx() {
        
    }
    
    /**
     * test create task for balloon json.
     */
    public void testCreateBalloonDetailJSONTx() {
        
    }
    
    /**
     * test create task to tasks json.
     */
    public void testCreateTaskToTasksJSONTx() {
        
    }
    
    /**
     * test create before view statuses json.
     */
    public void testCreateBeforeViewStatusesJSONTx() {
        
    }
    
    /**
     * test create tags html.
     */
    public void testCreateTagsHTMLTx() {
        
    }
    
    /**
     * test create task tags json.
     */
    public void testCreateTaskTagsJSONTx() {
        
    }
    
    /**
     * test create own tags json.
     */
    public void testCreateOwnTagsJSONTx() {
        
    }
    
    /**
     * test create due list json.
     */
    public void testCreateCalendarDeadlinesJSONTx() {
        
    }
    
    /**
     * test create task groups json.
     */
    public void testCreateTaskGroupsJSONTx() {
        super.readXlsWriteDb("task_groups.xls");
        TaskGroupRelationDto[] taskGroupRelations = 
            taskGroupService_.findActiveGroupsByUserId(9990L);
        
        String json = 
            this.taskGroupHelper_.createTaskGroupsJSON(taskGroupRelations, null);
        
        System.out.println(json);
        
        super.assertNotNull(json);
        super.assertFalse("".equals(json));
    }
}
